New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Uninitialized TermDisplay error #691

Closed
mdedetrich opened this Issue Jan 23, 2017 · 3 comments

Comments

Projects
None yet
2 participants
@mdedetrich
  • Version: 0.5.2
  • Integration: sbt
  • System: MacOsx 10.12.2

When running scalafmt 0.5.2 on any of my projects, get the following error. Have tried it in various shells(bash/sh/fish) and Terminal applications (including the basic MacOsx Terminal)

[scully] $ scalafmt
Downloading scalafmt artifacts...
org.scalafmt.bootstrap.FetchError: ArrayBuffer((Dependency(com.geirsson:scalafmt-cli_2.11,0.5.2,compile,Set(),Attributes(jar,),false,true),List(not found: /Users/mdedetrich/.ivy2/local/com.geirsson/scalafmt-cli_2.11/0.5.2/ivys/ivy.xml, download error: Caught java.lang.Exception: Uninitialized TermDisplay (Uninitialized TermDisplay))))
	at org.scalafmt.bootstrap.ScalafmtBootstrap$.fromVersionUncached(Bootstrap.scala:69)
	at org.scalafmt.bootstrap.ScalafmtBootstrap$$anonfun$fromVersion$1.apply(Bootstrap.scala:45)
	at org.scalafmt.bootstrap.ScalafmtBootstrap$$anonfun$fromVersion$1.apply(Bootstrap.scala:45)
	at scala.collection.mutable.MapLike$class.getOrElseUpdate(MapLike.scala:189)
	at scala.collection.mutable.AbstractMap.getOrElseUpdate(Map.scala:91)
	at org.scalafmt.bootstrap.ScalafmtBootstrap$.fromVersion(Bootstrap.scala:45)
	at org.scalafmt.bootstrap.ScalafmtBootstrap$.main(Bootstrap.scala:93)
	at org.scalafmt.sbt.ScalafmtPlugin$autoImport$$anonfun$scalafmt$1.apply(ScalafmtPlugin.scala:15)
	at org.scalafmt.sbt.ScalafmtPlugin$autoImport$$anonfun$scalafmt$1.apply(ScalafmtPlugin.scala:12)
	at sbt.Command$$anonfun$sbt$Command$$apply1$1$$anonfun$apply$6.apply(Command.scala:71)
	at sbt.Command$.process(Command.scala:93)
	at sbt.MainLoop$$anonfun$1$$anonfun$apply$1.apply(MainLoop.scala:96)
	at sbt.MainLoop$$anonfun$1$$anonfun$apply$1.apply(MainLoop.scala:96)
	at sbt.State$$anon$1.process(State.scala:184)
	at sbt.MainLoop$$anonfun$1.apply(MainLoop.scala:96)
	at sbt.MainLoop$$anonfun$1.apply(MainLoop.scala:96)
	at sbt.ErrorHandling$.wideConvert(ErrorHandling.scala:17)
	at sbt.MainLoop$.next(MainLoop.scala:96)
	at sbt.MainLoop$.run(MainLoop.scala:89)
	at sbt.MainLoop$$anonfun$runWithNewLog$1.apply(MainLoop.scala:68)
	at sbt.MainLoop$$anonfun$runWithNewLog$1.apply(MainLoop.scala:63)
	at sbt.Using.apply(Using.scala:24)
	at sbt.MainLoop$.runWithNewLog(MainLoop.scala:63)
	at sbt.MainLoop$.runAndClearLast(MainLoop.scala:46)
	at sbt.MainLoop$.runLoggedLoop(MainLoop.scala:30)
	at sbt.MainLoop$.runLogged(MainLoop.scala:22)
	at sbt.StandardMain$.runManaged(Main.scala:57)
	at sbt.xMain.run(Main.scala:29)
	at xsbt.boot.Launch$$anonfun$run$1.apply(Launch.scala:109)
	at xsbt.boot.Launch$.withContextLoader(Launch.scala:128)
	at xsbt.boot.Launch$.run(Launch.scala:109)
	at xsbt.boot.Launch$$anonfun$apply$1.apply(Launch.scala:35)
	at xsbt.boot.Launch$.launch(Launch.scala:117)
	at xsbt.boot.Launch$.apply(Launch.scala:18)
	at xsbt.boot.Boot$.runImpl(Boot.scala:41)
	at xsbt.boot.Boot$.main(Boot.scala:17)
	at xsbt.boot.Boot.main(Boot.scala)
[error] org.scalafmt.bootstrap.FetchError: ArrayBuffer((Dependency(com.geirsson:scalafmt-cli_2.11,0.5.2,compile,Set(),Attributes(jar,),false,true),List(not found: /Users/mdedetrich/.ivy2/local/com.geirsson/scalafmt-cli_2.11/0.5.2/ivys/ivy.xml, download error: Caught java.lang.Exception: Uninitialized TermDisplay (Uninitialized TermDisplay))))

olafurpg added a commit that referenced this issue Jan 23, 2017

olafurpg added a commit that referenced this issue Jan 23, 2017

@olafurpg

This comment has been minimized.

Show comment
Hide comment
@olafurpg

olafurpg Jan 23, 2017

Member

I'm unable to reproduce, but I've merged a potential fix and published it as 0.5.3-RC1 (still syncing to maven). Please confirm if it works.

Member

olafurpg commented Jan 23, 2017

I'm unable to reproduce, but I've merged a potential fix and published it as 0.5.3-RC1 (still syncing to maven). Please confirm if it works.

@mdedetrich

This comment has been minimized.

Show comment
Hide comment
@mdedetrich

mdedetrich Jan 23, 2017

@olafurpg Yup, 0.5.3-RC1 works

@olafurpg Yup, 0.5.3-RC1 works

@olafurpg

This comment has been minimized.

Show comment
Hide comment
@olafurpg

olafurpg Jan 24, 2017

Member

Great, I published the fix as 0.5.3, thanks for reporting!

Member

olafurpg commented Jan 24, 2017

Great, I published the fix as 0.5.3, thanks for reporting!

@olafurpg olafurpg closed this Jan 24, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment